Bug 50667 - %post scriplet fails if /usr is mounted ro
%post scriplet fails if /usr is mounted ro
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 18:43 EDT by Enrico Scholz
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 09:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-08-01 18:43:58 EDT
Description of Problem:

When having /usr mounted read-only and put into rpm's %_netsharedpath, the
%post scriplet of glibc fails at updating. This leads to an inconsistent
rpm database (two glibc's are installed).

Strace'ing the /usr/sbin/glibc_post_upgrade command says:

[pid 23439] open("/usr/lib/gconv/gconv-modules.cache",
O_RDWR|O_CREAT|O_TRUNC, 0644) = -1 EROFS (Read-only file system)
[pid 23439] _exit(1)                    = ?
<... wait4 resumed> [WIFEXITED(s) && WEXITSTATUS(s) == 1], 0, NULL) = 23439
--- SIGCHLD (Child exited) ---
_exit(1)                                = ?


How Reproducible:

everytime


Steps to Reproduce:
1. mount -o remount,ro
2. echo '%_netsharedpath /usr' >/etc/rpm/macros
3. rpm -U glibc-2.2.3-19.1
4. rpm -q glibc


Actual Results:

(3) execution of %post scriptlet from glibc-2.2.3-19.1 failed, exit status 1
(4) 
glibc-2.2.3-19
glibc-2.2.3-19.1


Expected Results:

(3) no message
(4) glibc-2.2.3-19.1


Additional Information:
	
tested with glibc-2.2.3-19.1 but happens with 2.2.3-19 also.
Comment 1 Glen Foster 2001-08-02 17:43:35 EDT
This defect is considered MUST-FIX for Fairfax
Comment 2 Jakub Jelinek 2001-08-06 16:29:27 EDT
Should be fixed in glibc-2.2.4-2.
Comment 3 Bill Nottingham 2001-08-23 09:19:19 EDT
Please reopen if this persists with that version or later.

Note You need to log in before you can comment on or make changes to this bug.